Package Release Info

libmateweather-1.24.0-bp153.1.22

Update Info: Base Release
Available in Package Hub : 15 SP3

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

libmateweather-devel
libmateweather-lang
libmateweather1
libmateweather1-64bit
mateweather-common

Change Logs

Version: 1.20.0-bp150.1.3
* Fri Mar 09 2018 sor.alexei@meowr.ru
- Update to version 1.20.0:
  * Require GTK+ 3.22 and GLib 2.50.
  * Locations: Add Radom, Poland.
  * Locations: Add Zhukovsky airport (Moscow, Russia).
  * Locations: Fix the Sheremetyevo airport name (Moscow, Russia).
  * Update translations.
- Add libmateweather-gtk-3.20.patch: Restore GLib 2.48 and
  GTK+ 3.20 support.
* Wed Nov 08 2017 sor.alexei@meowr.ru
- Update to version 1.18.2:
  * Add missing Polish cities with airports.
  * Update translations.
* Sat May 20 2017 sor.alexei@meowr.ru
- Update to version 1.18.1:
  * Fix the Novosibirsk timezone.
  * Add Ceiba in Puerto Rico.
  * Update cities of Kazakhstan.
  * Actually check the $GIO_REQUIRED variable's value.
  * Update translations.
* Tue Mar 14 2017 sor.alexei@meowr.ru
- Update to version 1.18.0:
  * NEWS: Use consistent, project wide, markdown-like formatting to
    make generating release announcements easier.
  * Move to GTK+3 (require GTK+ >= 3.14), drop the GTK+2 code and
  - -with-gtk build option.
  * Drop Python bindings and the --enable-python build option
    (won't work with GTK+3).
  * Locations: Add Dunedin, New Zealand.
  * Locations: Add Yogyakarta, Indonesia.
  * Locations: Correct coordinates for Pune, India.
  * Update translations.
* Thu Oct 27 2016 sor.alexei@meowr.ru
- Update to version 1.16.1:
  * Locations: Rename Rangoon timezone to Yangon, following the
    tzdata 2016g+ change. Due to this, tzdata 2016g or newer is now
    required for the build.
  * Locations: Fix a couple of issues in Russian translation.
  * Update translations.
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Locations: Update ICAO code for Quito, Ecuador.
  * Locations: Correct coordinates for Minsk airport (code UMMS).
  * Update translations.
* Tue Sep 06 2016 sor.alexei@meowr.ru
- Update to version 1.14.3:
  * IWIN: Use the new server address to fix forecast.
* Mon Aug 29 2016 sor.alexei@meowr.ru
- Update to version 1.14.2:
  * METAR: Switch to https and use recommended method of data
    retrieval (as per
    https://aviationweather.gov/dataserver/bestpractices).
* Wed Aug 24 2016 sor.alexei@meowr.ru
- Update to version 1.14.1:
  * METAR: Switch to aviationweather.gov as weather.noaa.gov
    is discontinued.
  * Locations: Correct Russian translation and tz-hint for Shymkent.
  * Make distcheck use currently selected GTK+ version.
  * Update translations.
* Sat Apr 09 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * Small fix in schema.
  * Update translations.
  * Add Changelog generation.
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to version 1.13.0:
  * Drop obsolete build flags.
* Sun Nov 29 2015 sor.alexei@meowr.ru
- Update to 1.12.1:
  * Update translations.
* Thu Nov 05 2015 sor.alexei@meowr.ru
- Update to 1.12.0:
  * Retrieve strings directly from gschema (requires intltool
    0.50.1).
* Fri Oct 09 2015 sor.alexei@meowr.ru
- Update to 1.11:
  * Location updates for timezones.
  * Bugfixes and improvements.
* Wed Apr 15 2015 p.drouand@gmail.com
- Update to version 1.10.0
  * Bugfixes
* Mon Mar 23 2015 p.drouand@gmail.com
- Update to version 1.9.90 (unstable)
  * Bugfixes
* Sun Oct 26 2014 p.drouand@gmail.com
- Update to version 1.9.1 (unstable)
  + No changelog available
* Sun Jul 13 2014 p.drouand@gmail.com
- Update to version 1.9.0 (unstable)
  + No changelog available
- Remove gtk-doc requirement; mate-common requires it, there is no
  need to require it again
* Wed Mar 05 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Wed Feb 19 2014 p.drouand@gmail.com
- Update to version 1.7.90 (unstable)
  + drop libsoup-gnome dependency
  + add GTK3 support
- Remove pkgconfig(libsoup-2.4) requirement; follow upstream changes
- Remove useless pkgconfig(python) requirement as other required
  python packages require it
Version: 1.22.0-2.1
* Tue Mar 05 2019 sor.alexei@meowr.ru
- Update to version 1.22.0:
  * Disable deprecation warnings for distcheck.
  * Update translations.
* Sat Dec 22 2018 sor.alexei@meowr.ru
- Update to version 1.20.2:
  * locations: Clean up municipalities of Puerto Rico.
  * Update translations.
* Sat Jun 16 2018 sor.alexei@meowr.ru
- Update to version 1.20.1:
  * locations: Add Feira de Santana, Brazil.
  * weather-moon: Fix weird thing in comments.
  * metar: Fix searching for string to parse.
  * metar: Fix indent somewhat.
  * Update translations.
Version: 1.24.0-bp152.1.11
* Wed Feb 26 2020 Alexei Sorokin <sor.alexei@meowr.ru>
- Update to version 1.24.0:
  * build: Show compiler flags on configuration summary.
  * Use the same translator comments for xgettext.
  * Migrate from intltool to gettext.
  * Regen po files for po-locations.
  * Locations: Add Lleida?Alguaire Airport.
  * Avoid deprecated soup_session_async_new.
  * Update translations.
- Drop support for old openSUSE versions.
* Wed Jul 17 2019 Jonathan Brielmaier <jbrielmaier@suse.de>
- Update to version 1.23.0:
  * tx: sync with transifex
  * Remove trailing whitespaces
  * Change url project's website
  * locations: change weather station for Rostov-on-Don, Russia
- remove patch:
  * libmateweather-gtk-3.20.patch: we don't support gtk3.22 anymore
- build require gtk >= 3.22 and glib >= 2.50